Subject: Re: SO_REUSEPORT?

From: Rémi Denis-Courmont <[email-masked]>
Date: Thu, 7 Aug 2008 20:09:34 +0300

Le jeudi 7 août 2008 19:57:15 Tom Herbert, vous avez écrit :
> Hello,
>
> We are looking at ways to scale TCP listeners.  I think we like is the
> ability to listen on a port from multiple threads (sockets bound to
> same port,  INADDR_ANY, and no interface binding) , which is what
> SO_REUSEPORT would seem to allow.  Has this ever been implemented for
> Linux or is there a good reason not to have it?

On Linux, SO_REUSEADDR provide most of what SO_REUSEPORT provides on BSD.

In any case, there is absolutely no point in creating multiple TCP listeners. 
Multiple threads can accept() on the same listener - at the same time.

-- 
Rémi Denis-Courmont
http://www.remlab.net/